<nav style="background-color: rgb(255, 255, 255); height: 95px;" class="navbar navbar-expand-lg bg-body-tertiary">
  <div class="container-fluid">
    <a class="navbar-brand" routerLink="home"><img src="assets/images/logo.png" style="height: 100px; width: 140px;" alt="login"></a>

    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
      aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        <li class="nav-item">
          <a class="nav-link active" aria-current="page" style="color: black;" routerLink="home">Home</a>
        </li>
        <li class="nav-item" >
          <a class="nav-link" routerLink="register" style="color: black;">Register</a>
        </li>
        <li class="nav-item" *ngIf="!(isLoggedIn() || isAdmin())">
          <a class="nav-link" routerLink="login" style="color: black;">Login</a>
        </li>
        <li class="nav-item" *ngIf="isLoggedIn() || isAdmin()">
          <a class="nav-link" routerLink="logout" style="color: black;">Logout</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false" style="color: black;">
            Select Brand
          </a>
          <ul class="dropdown-menu">
            <li *ngIf="isLoggedIn()"><a class="dropdown-item" routerLink="motorcycles" style="color: black;">Bajaj</a></li>
            <li *ngIf="isLoggedIn()"><a class="dropdown-item" routerLink="ktm" style="color: black;">KTM</a></li>
            <li *ngIf="isLoggedIn()"><a class="dropdown-item" routerLink="royalenfield" style="color: black;">Royal Enfield</a></li>
          </ul>
        </li>
        <li class="nav-item" *ngIf="isLoggedIn()">
          <a class="nav-link" routerLink="service" style="color: black;">Book Service</a>
        </li>
      </ul>
    </div>
  </div>
</nav>
